@import url("https://fonts.googleapis.com/css2?family=Jost:wght@300;400;700&family=Noto+Sans+JP:wght@400;700&display=swap");
html {
  scroll-behavior: smooth;
}

body {
  background-color: #111111;
  color: white;
  font-family: "Jost", "Noto Sans JP", sans-serif;
  font-size: 17px;
  line-height: 2;
}
@media (max-width: 599px) {
  body {
    font-size: 12px;
  }
}
body article p {
  margin-bottom: 2em;
}

a:hover {
  transition: 0.3s;
}

/*global */
h1, h2, h3 {
  font-family: "Jost", sans-serif;
}

.globalHeader {
  position: fixed;
  z-index: 99;
  width: 100%;
  height: 50px;
}
.globalHeader .headerWrap {
  max-width: 100%;
  margin: auto;
  display: -ms-flexbox;
  /* prefix -> -webkit- */
  display: -webkit-flex;
  -webkit-align-items: center;
  /* no prefix */
  display: flex;
  align-items: center;
  position: relative;
}
.globalHeader .headerWrap h1 {
  -webkit-flex-basis: 300px;
  flex-basis: 300px;
  width: 300px;
  max-width: 300px;
  margin-right: 1em;
  padding: 0.5em 0;
  font-family: serif;
  font-weight: normal;
}
.globalHeader .headerWrap h1 a {
  display: -ms-flexbox;
  /* prefix -> -webkit- */
  display: -webkit-flex;
  -webkit-align-items: center;
  /* no prefix */
  display: flex;
  align-items: center;
  text-decoration: none;
}
.globalHeader .headerWrap h1 img {
  max-height: 1.5em;
  margin-right: 0.5em;
}
.globalHeader .headerWrap .menuOpen {
  margin-left: auto;
  padding: 0.5em;
  cursor: pointer;
  opacity: 0.7;
  transition: 0.3s;
}
.globalHeader .headerWrap .menuOpen:hover {
  opacity: 1;
}
.globalHeader .headerWrap .menuOpen:before {
  animation: 8s linear infinite rotation;
  content: "";
  display: block;
  width: 1.5em;
  height: 1.5em;
  border: solid white 1px;
  border-radius: 2px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  margin-left: auto;
}
.globalHeader .headerWrap nav {
  display: none;
  width: 100%;
  position: fixed;
  left: 0;
  top: 0;
  height: 100vh;
  background-color: black;
}
.globalHeader .headerWrap nav .navWrap {
  display: -ms-flexbox;
  /* prefix -> -webkit- */
  display: -webkit-flex;
  -webkit-flex-direction: column;
  -webkit-justify-content: center;
  -webkit-align-items: center;
  /* no prefix */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}
.globalHeader .headerWrap nav .bg {
  width: 100%;
  height: 100%;
  z-index: 0;
  position: absolute;
  left: 0;
  top: 10%;
  opacity: 0.3;
  background-image: url("../img/logo_white.svg");
  background-size: cover;
  background-position: center center;
}
.globalHeader .headerWrap nav .menuClose {
  display: block;
  color: white;
  padding: 0.5em;
  text-align: right;
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  z-index: 1;
}
.globalHeader .headerWrap nav .menuClose:before {
  cursor: pointer;
  animation: 8s linear infinite rotation;
  content: "";
  display: block;
  width: 1.5em;
  height: 1.5em;
  border: solid #b7282c 2px;
  border-radius: 2px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  margin-left: auto;
}
.globalHeader .headerWrap nav .navWrap {
  position: relative;
}
.globalHeader .headerWrap nav .navWrap a {
  color: white;
  display: block;
  padding: 1em;
  text-align: center;
  text-decoration: none;
}
.globalHeader .headerWrap nav .navWrap a:before {
  content: "\f105";
  font-family: "FontAwesome solid";
  vertical-align: baseline;
  margin-right: 0.25em;
}
.globalHeader .headerWrap nav .navWrap a:hover {
  background-color: #f9f9f9;
  color: #111111;
}
.globalHeader .headerWrap nav .contactWrap {
  margin: 1.5em auto;
  white-space: nowrap;
  text-align: center;
}
.globalHeader .headerWrap nav .contactWrap a {
  background-color: #111111;
  color: white;
  padding: 0.5em 0.5em;
  border-radius: 1em;
  text-decoration: none;
}
.globalHeader .headerWrap nav .contactWrap a:after {
  content: "\f054";
  font-family: "FontAwesome solid";
  vertical-align: baseline;
  margin-left: 0.5em;
}
.globalHeader .headerWrap nav .contactWrap a:hover {
  background-color: #777777;
}

.globalFooter {
  padding: 1em;
  text-align: right;
}
